#stream {
#    upstream sharetransmit-svc {
#       hash $remote_addr consistent;
#       server sharetransmit-svc:8006;
#    }
#    server {
#       listen 8006;
#       proxy_connect_timeout 60s;
#       proxy_timeout 300s;
#       proxy_pass sharetransmit-svc;
#    }
#}